summaryrefslogtreecommitdiff
path: root/gitlab-ci-runner/usr/share/gitlab-install/install-runner
diff options
context:
space:
mode:
authorAdam Coldrick <adam.coldrick@codethink.co.uk>2014-05-16 09:57:09 +0000
committerAdam Coldrick <adam.coldrick@codethink.co.uk>2014-05-16 09:57:09 +0000
commitbc347a438b36c60931602bf86d4156d332cb9cde (patch)
tree9f0814d4f4eaad3e536c5262861c760e19fe9966 /gitlab-ci-runner/usr/share/gitlab-install/install-runner
parent2fb6ede1ffed0b2ca4bd805c1ab558cdeea8c446 (diff)
parent04a621fae782e700197c4148efb5160dc46755ef (diff)
downloaddefinitions-bc347a438b36c60931602bf86d4156d332cb9cde.tar.gz
Merge branch 'baserock/adamcoldrick/gitlab-systems-merge'
Reviewed by: Lars Wirzenius <lars.wirzenius@codethink.co.uk>
Diffstat (limited to 'gitlab-ci-runner/usr/share/gitlab-install/install-runner')
-rwxr-xr-xgitlab-ci-runner/usr/share/gitlab-install/install-runner36
1 files changed, 36 insertions, 0 deletions
diff --git a/gitlab-ci-runner/usr/share/gitlab-install/install-runner b/gitlab-ci-runner/usr/share/gitlab-install/install-runner
new file mode 100755
index 00000000..f1165af8
--- /dev/null
+++ b/gitlab-ci-runner/usr/share/gitlab-install/install-runner
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# Copyright (C) 2014 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+gem install bundler
+
+git config --global http.sslVerify false
+git config --global user.name 'GitLab CI Runner'
+git config --global user.email 'ci_runner@localhost'
+git config --global core.autocrlf input
+
+git clone https://gitlab.com/gitlab-org/gitlab-ci-runner.git -b 5-0-stable
+cd gitlab-ci-runner
+
+bundle install --deployment
+bundle exec ./bin/setup
+nohup bundle exec ./bin/runner &
+
+cd /etc/systemd/system
+cp /usr/share/gitlab-install/systemd-units/gitlab-ci-runner.service .
+systemctl enable gitlab-ci-runner.service